xmlgraphics-batik-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bill Haneman <Bill.Hane...@ireland.sun.com>
Subject jdk 1.3 dependencies
Date Wed, 18 Oct 2000 13:38:19 GMT
Hi Guys:

In building the current CVS packages I encountered a number of
jdk1.3 dependencies.  Of course I can use 1.3, and am using it
now, but I am not sure that we want to require users of batik
to upgrade from 1.2.X...

I found and removed a couple of dependencies during the hackathon,
but the ones I found today are less trivial to remove:

    *   constructor JMenuItem(Action) [ since 1.3 ]

    *   method java.awt.image.ColorModel.getTransferType()
      [javadoc does not indicate that this is a new method, but it is].
	


I think it should be possible to eliminate these two dependencies,
but it was not so trivial that I felt OK about doing it myself
without raising the question.  

If we absolutely must have 1.3, so be it, but my own preference is to 
hold off on such dependencies as long as we can.

Other opinions?

-Bill

------
Bill Haneman
Ireland Desktop Engineering
Sun Microsystems Ireland Ltd.


Mime
View raw message